libzypp: zyppng::IODeviceOStreamBuf Class Reference

libzypp 17.38.14

zyppng::IODeviceOStreamBuf Class Reference

`#include <zypp-core/ng/io/iodevice.h>`

Inheritance diagram for zyppng::IODeviceOStreamBuf:

## Public Member Functions
| IODeviceOStreamBuf (IODeviceRef dev)
| IODeviceOStreamBuf (const IODeviceOStreamBuf &)=default
| IODeviceOStreamBuf (IODeviceOStreamBuf &&)=default
IODeviceOStreamBuf & | operator= (const IODeviceOStreamBuf &)=default
IODeviceOStreamBuf & | operator= (IODeviceOStreamBuf &&)=default

## Protected Member Functions
int_type | overflow (int_type __c) override

## Private Attributes
IODeviceRef | _dev

## Detailed Description

Small wrapper streambuf to support writing data to a IODevice using std::ostream

Definition at line 195 of file iodevice.h.

## Constructor & Destructor Documentation

## ◆ IODeviceOStreamBuf() [1/3]

zyppng::IODeviceOStreamBuf::IODeviceOStreamBuf | ( | IODeviceRef | dev | ) |

Definition at line 394 of file iodevice.cc.

## ◆ IODeviceOStreamBuf() [2/3]

zyppng::IODeviceOStreamBuf::IODeviceOStreamBuf | ( | const IODeviceOStreamBuf & |  | ) |
| default

## ◆ IODeviceOStreamBuf() [3/3]

zyppng::IODeviceOStreamBuf::IODeviceOStreamBuf | ( | IODeviceOStreamBuf && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

IODeviceOStreamBuf & zyppng::IODeviceOStreamBuf::operator= | ( | const IODeviceOStreamBuf & |  | ) |
| default

## ◆ operator=() [2/2]

IODeviceOStreamBuf & zyppng::IODeviceOStreamBuf::operator= | ( | IODeviceOStreamBuf && |  | ) |
| default

## ◆ overflow()

IODeviceOStreamBuf::int_type zyppng::IODeviceOStreamBuf::overflow | ( | int_type | __c | ) |
| overrideprotected

Definition at line 397 of file iodevice.cc.

## Member Data Documentation

## ◆ _dev

IODeviceRef zyppng::IODeviceOStreamBuf::_dev
| private

Definition at line 209 of file iodevice.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/io/iodevice.h
- zypp-core/ng/io/iodevice.cc